> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/apps/device/{deviceId}/top > Get top apps for a device ## OpenAPI ````json POST /v1/apps/device/{deviceId}/top { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/apps/device/{deviceId}/top": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsDeviceDeviceIdTopPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsDeviceDeviceIdTopPostResponse" } } } } }, "description": "Get top apps for a device" } } }, "components": { "schemas": { "v1AppsDeviceDeviceIdTopPostRequest": { "type": "object", "properties": { "numApps": { "type": "integer", "format": "int32", "example": 22, "minimum": 0, "description": "The maximum number of apps to return (100 if left empty)" }, "timeWindow": { "$ref": "#/components/schemas/ipfixTimeWindow" } }, "additionalProperties": false }, "v1AppsDeviceDeviceIdTopPostResponse": { "type": "object", "properties": { "appsUtilization": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixAppUtilizationSummary" } }, "totalCount": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "ipfixTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false }, "ipfixAppUtilizationSummary": { "type": "object", "properties": { "appId": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "appName": { "type": "string", "example": "example string" }, "usage": { "type": "integer", "format": "int64", "example": 1234567891011, "description": "application usage in kilo bytes" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````